Bug 1577352 - Packaging installs files in /etc/opt/chrome in contravention of the packaging guidelines
Summary: Packaging installs files in /etc/opt/chrome in contravention of the packaging...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: chrome-gnome-shell
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 18:45 UTC by Jason Tibbitts
Modified: 2018-05-15 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 10:24:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2018-05-11 18:45:12 UTC
https://fedoraproject.org/wiki/Packaging:Guidelines#Limited_usage_of_.2Fopt.2C_.2Fetc.2Fopt.2C_and_.2Fvar.2Fopt indicates that packages in Fedora are not allowed to install files into portions of the "opt" hierarchy not allocated to Fedora by LANANA (and even then only by with packaging committee approval).  The chrome-gnome-shell package currently creates /etc/opt/chrome and installs files there, which messes with another vendor's opt hierarchy allocation and is certainly not allowed.

Comment 1 Yuri Konotopov 2018-05-12 19:14:14 UTC
See also: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888549

Long-story-short: Google Chrome looks files in /etc/opt/chrome which chrome-gnome-shell provide. Dropping that location in chrome-gnome-shell also will drop Google Chrome support in chrome-gnome-shell.

Comment 2 Pete Walter 2018-05-14 10:24:55 UTC
Jason, I respectfully disagree. The whole point of the extension is to install files in a location where Chrome can find them. Please file a bug with the packaging committee instead to fix the guidelines.

Also see devel mailing list discussion where the conclusion was that this is both allowed and wanted. https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/NYQECPMCRQ52VYUKRV6HNR5QKWBUNLAG/#MJUQFSJ223O7GFTX6HPEHQWTKSKQ537O

Comment 3 Jason Tibbitts 2018-05-14 15:16:08 UTC
I'm confused.  The packaging guidelines seems quite clear; I don't understand how you can disagree with the conclusion that this package violates them.  Closing the bug without even waiting for a response is just an insult.

Nothing was ever brought before the packaging committee about this until last week.  If you needed an exception and had a reasonable reason for it, you should have asked for an exception.  A thread on the devel list isn't how you get that.

So, sure, close the bug and basically ignore the whole "working together" part of the distro to do your own thing.  I can't stop you from doing that, but it doesn't make it any less insulting the the time that other people have put in to actually write those packaging guidelines and provide for a clean and well-documented packaging experience.

So, uh, good day, I guess.

Comment 4 Germano Massullo 2018-05-15 22:20:12 UTC
(In reply to Pete Walter from comment #2)
> Please file a bug with the packaging committee instead to fix the guidelines.

What? So what about us, that spend time to carefully package software that is carefully compliant to Fedora packaging guidelines?

(In reply to Pete Walter from comment #2)
> Also see devel mailing list discussion where the conclusion was that this is
> both allowed and wanted.
> https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/
> thread/NYQECPMCRQ52VYUKRV6HNR5QKWBUNLAG/#MJUQFSJ223O7GFTX6HPEHQWTKSKQ537O

The conclusion of the discussion I started and which you mentioned, does *not* mean that Fedora packages can create and use /etc/opt/ dir

<</opt and its related directories (/etc/opt and /var/opt) is reserved for the use of vendors in the FHS. We have reserved the fedora name with LANANA for our use. [...]>>
Source: https://fedoraproject.org/wiki/Packaging:Guidelines#Limited_usage_of_.2Fopt.2C_.2Fetc.2Fopt.2C_and_.2Fvar.2Fopt


Note You need to log in before you can comment on or make changes to this bug.